## org.hibernate.type.descriptor.sql
Interface SqlTypeDescriptor

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BigIntTypeDescriptor, BinaryTypeDescriptor, BitTypeDescriptor, BlobTypeDescriptor, CharTypeDescriptor, ClobTypeDescriptor, DateTypeDescriptor, DecimalTypeDescriptor, DoubleTypeDescriptor, FloatTypeDescriptor, IntegerTypeDescriptor, LongVarbinaryTypeDescriptor, LongVarcharTypeDescriptor, NumericTypeDescriptor, PostgresUUIDType.PostgresUUIDSqlTypeDescriptor, RealTypeDescriptor, SmallIntTypeDescriptor, TimestampTypeDescriptor, TimeTypeDescriptor, TinyIntTypeDescriptor, VarbinaryTypeDescriptor, VarcharTypeDescriptor

    public interface SqlTypeDescriptor

extends Serializable

Descriptor for the `SQL`/`JDBC` side of a value mapping.

Author:
  Steve Ebersole

Method Summary

`

`<X> ValueBinder<X>`

`

`getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`

`

`<X> ValueExtractor<X>`

`

`getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)`

`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Method Detail

### getSqlType

    int getSqlType()

  Return the JDBC type-code for the column mapped by this type.

  Returns:
    The JDBC type-code

### getBinder

    <X> ValueBinder<X> getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

### getExtractor

    <X> ValueExtractor<X> getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.